> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Allocations

> A `GET` to the `/allocations` endpoint allows your application to retrieve allocations.



## OpenAPI

````yaml get /v3/allocations
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/allocations:
    get:
      tags:
        - Allocation
      summary: Browse Allocations
      description: >-
        A `GET` to the `/allocations` endpoint allows your application to
        retrieve allocations.
      operationId: allocation.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Allocation`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Allocation'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Allocation:
      type: object
      properties:
        id:
          type: integer
        external_id:
          type:
            - string
            - 'null'
        definition_id:
          type: integer
        definition_type:
          type: string
        name:
          type:
            - string
            - 'null'
        allocated_at:
          type:
            - string
            - 'null'
          description: |-
            'allocated_id' => $this->allocated_id,
            'allocated_type' => $this->allocated_type,
        valid_from:
          type:
            - string
            - 'null'
        valid_to:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
        code:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - external_id
        - definition_id
        - definition_type
        - name
        - allocated_at
        - valid_from
        - valid_to
        - value
        - code
        - meta
        - created_at
        - updated_at
      title: Allocation
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````